For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETEndpoint to get all retainers for a project.
      • POSTEndpoint to create a new retainer for a project.
      • GETEndpoint to get a retainer for a project by id.
      • PUTEndpoint to update the retainer for a project.
      • DELEndpoint to delete a retainer for a project. Deletes all related retainer budgets.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceRetainers

Endpoint to get a retainer for a project by id.

GET
https://api.awork.com/api/v1/projects/:projectId/retainers/:retainerId
GET
/api/v1/projects/:projectId/retainers/:retainerId
$curl https://api.awork.com/api/v1/projects/projectId/retainers/retainerId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "timeBudget": 72000,
3 "timezone": "Europe/Berlin",
4 "rollOverUnderspentBudget": true,
5 "rollOverOverspentBudget": false,
6 "startDate": "2024-01-01T00:00:00Z",
7 "endDate": "2024-12-31T23:59:59Z",
8 "syncProjectDates": true,
9 "id": "a3f1c9d2-4b7e-4f8a-9c3d-1e2f3a4b5c6d",
10 "retainerPeriod": "monthly",
11 "projectId": "b7d9e8f0-1234-5678-9abc-def012345678",
12 "isExternal": false,
13 "retainerBudgets": [
14 {
15 "id": "c1d2e3f4-5678-90ab-cdef-1234567890ab",
16 "timeBudget": 72000,
17 "trackedDuration": 36000,
18 "startDate": "2024-01-01T00:00:00Z",
19 "endDate": "2024-01-31T23:59:59Z"
20 }
21 ],
22 "createdOn": "2023-12-15T10:00:00Z",
23 "createdBy": "d4e5f6a7-b8c9-4d0e-9f1a-2b3c4d5e6f70",
24 "updatedOn": "2024-02-01T15:30:00Z",
25 "updatedBy": "d4e5f6a7-b8c9-4d0e-9f1a-2b3c4d5e6f70"
26}
The user must have the ProjectMasterData read permission for the project to access this endpoint. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Endpoint to update the retainer for a project.

Next
Built with

The user must have the ProjectMasterData read permission for the project to access this endpoint.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
retainerIdstringRequiredformat: "uuid"
The id of the retainer.

Response

OK
timeBudgetinteger
The time budget per retainer period in seconds. The default budget amount for new budgets in this retainer.
timezonestring or null
The timezone for when new budgets are created.
rollOverUnderspentBudgetboolean
Whether underspent budgets should be rolled over to the next period.
rollOverOverspentBudgetboolean
Whether overspent budgets should be rolled over to the next period.
startDatestringformat: "date-time"
The start of the retainer contract.
endDatestring or nullformat: "date-time"
The end of the retainer contract until new budgets will be created. Optional.
syncProjectDatesboolean
Whether the project start and due dates should be synced to the retainer start and end dates.
idstringformat: "uuid"
The id of the retainer.
retainerPeriodstring or null
The period for new budgets in this retainer. Currently only 'monthly' is supported.
projectIdstringformat: "uuid"
The project this retainer is associated with.
isExternalboolean
Whether the retainer belongs to an external project.
retainerBudgetslist of objects or null

The budgets for this retainer. Each budget period (month) gets its own budget.

createdOnstringformat: "date-time"
The date this retainer was created.
createdBystringformat: "uuid"
The id of the user who created this retainer.
updatedOnstringformat: "date-time"
The date this retainer was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this retainer.

Errors

404
Not Found Error